> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/ai/aig/ai-gateway/describeaigatewaymodels.md).

# DescribeAiGatewayModels

## 1. API Description

This API (DescribeAiGatewayModels) is used to describe AI gateway models

{% hint style="info" %}
**Notes**

* For the authentication method of this API, refer to [Authentication](/api-reference/api-introduction/instruction/authorization.md)
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description   |
| -------------- | -------- | ------ | ------------- |
| gatewayUuid    | Yes      | String | Gateway UUID. |

## 3. Output Parameters

| Parameter Name | Type                                                                             | Description                                                                                                           |
| -------------- | -------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                           | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| models         | Array of [AiGatewayModel](/api-reference/ai/aig/datastructure.md#aigatewaymodel) | List of associated models.                                                                                            |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query the AI gateway models.**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/aigw
Content-Type: application/json
X-ZC-Action: DescribeAiGatewayModels
<Common Request Params>

Request:
{
    "gatewayUuid": "1568676002379339603"
}
Response:
{
    "requestId": "TCD1C4FC9-CF4B-4E48-AA9B-63FB4D7DC191",
    "response": {
        "requestId": "TCD1C4FC9-CF4B-4E48-AA9B-63FB4D7DC191",
        "models": [
            {
                "modelName": "gpt-3.5-turbo",
                "modelUuid": "8eapj83as8",
            },
            {
                "modelName": "gpt-4",
                "modelUuid": "0yb8yk2dl0",
            },
        ]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
